Update an asset

Update an existing asset. Only the provided fields will be updated.

Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.

To use this endpoint, select Write Equipment under the Equipment category when creating or editing an API token. Learn More.

Path Params
string
required

Id of the asset to be updated

Body Params

The updated asset fields

customMetadata
object

The custom fields of an asset.

location
object

For locationType "point", latitude and longitude are required. For "address", formattedAddress must be provided, and lat/long can be optionally included for displaying a dot on the assets map. For "dataInput", this object should not be passed in.

string

Required if locationType is "dataInput". Specifies the id of a location data input which will determine the asset's location. The data input must be in the asset.

string
enum

The format of the location. This field is required if a location is provided. Valid values: point, address, dataInput.

Allowed:
string

The name of the asset.

string

The id of the parent asset that the asset belongs to. Pass in an empty string to remove the child from the parent.

string

The asset's isRunning status will be true when the associated data input's value is 1. Data input cannot be of location format. The data input must be in the asset.

tagIds
array of strings

The ids of the tags that the asset should belong to.

tagIds
Responses

Language
Credentials
Bearer
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json